NOISECHISEL(1)

NAME
NoiseChisel - detect signal in a noisy image

SYNOPSIS
astnoisechisel [OPTION...] ASTRdata

DESCRIPTION
NoiseChisel is part of GNU Astronomy Utilities 0.23. NoiseChisel Detects and segments signal that is deeply burried in noise. It employs a noise-based detection and segmentation method enabling it to be very resilient to the rich diversity of shapes in astronomical targets.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of NoiseChisel's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astnoisechisel -P

Inputs/Outputs and options:
    $ info astnoisechisel

Full section in manual/book:
    $ info NoiseChisel

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

NoiseChisel options:

    Input:

--chdu=STR
    HDU/extension of convolved image in file.

--convolved=FITS
    Convolved image file to avoid convolution.

-h, --hdu=STR/INT
    Extension name or number of input data.

--khdu=STR
    HDU containing kernel image.

-k, --kernel=FITS
    Filename of kernel to convolve with input

--whdu=STR
    HDU containing wide kernel image.

-w, --widekernel=FITS
    Filename of wider kernel for better qthresh

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

--interpnumngb=INT
    No. of neighbors to use for interpolation.

--interponlyblank
    Only interpolate over the blank tiles.

-L, --largetilesize=INT[,INT]
    Sim. to --tilesize, but for larger tiles.

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

--workoverch
    Work (not tile) over channel edges.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-D, --dontdelete
    Don't delete output if it exists.

--ignoreblankintiles
    Don't write input's blanks in tiled output.

-K, --keepinputdir
    Keep input directory for automatic output.

-l, --label
    Label/count detected pixels that are connected.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

-o, --output=STR
    Output file name.

--rawoutput
    Output only detection labels & 1-elem/tile grid.

--tableformat=STR
    'txt', 'fits-ascii', 'fits-binary'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Detection:

-a, --outliernumngb=INT
    Num neighboring tiles to look for outlier.

--blankasforeground
    Blanks are foreground in erosion and opening.

-B, --minskyfrac=FLT
    Min. fraction of undetected area in tile.

--checkdetection
    Save all the detection steps to a file.

--checkdetsky
    Save Sky value estimation for pseudo-dets.

--checkqthresh
    Save quantile threshold estimation in file.

--checksky
    Final sky and its STD steps in a file.

--checksn
    Save pseudo-detection S/N values to a file.

--cleangrowndet
    Remove small S/N grown detections.

-c, --snquant=FLT
    Quantile in pseudo-det. to define true.

--detgrowmaxholesize=INT
    Max. area of holes after growth to fill.

--dopening=INT
    Depth of opening after dthresh.

--dopeningngb=INT
    4 or 8 connectivity for dthresh opening.

-d, --detgrowquant=FLT
    Minimum quant. to expand true detections.

--erodengb=INT
    Connectivity in erosion (number of ngbs).

-e, --erode=INT
    Number of erosions after thresholding.

--holengb=INT
    4 or 8 connectivity for filling holes.

--minnumfalse=INT
    Minimum number for S/N estimation.

-m, --snminarea=INT
    Min. pseudo-detection area for S/N dist.

--noerodequant=FLT
    Quantile for no erosion.

--openingngb=INT
    Connectivity in opening (number of ngbs).

--outliersclip=FLT,FLT Sigma-clip params for qthresh outliers.

--outliersigma=FLT
    Multiple of sigma to define outliers.

--pseudoconcomp=INT
    4 or 8 neighbors for labeling pseudo-dets.

-p, --opening=INT
    Depth of opening after erosion.

-Q, --meanmedqdiff=FLT
    Max. mean and median quant diff. per tile.

-R, --dthresh=FLT
    Sigma threshold for Pseudo-detections.

--skyfracnoblank
    No blanks in tile undetected frac. (minskyfrac).

--smoothwidth=INT
    Flat kernel width to smooth interpolated.

--snthresh=FLT
    Manually input pseudo-det S/N threshold.

-s, --sigmaclip=FLT,FLT
    Sigma multiple and, tolerance or number.

-t, --qthresh=FLT
    Quantile threshold on convolved image.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

-C, --continueaftercheck
    Continue processing after checks.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for NoiseChisel is maintained as a Texinfo manual. If the info and NoiseChisel programs are properly installed at your site, the command

    info NoiseChisel

should give you access to the complete manual.